---
section: Getting Started
title: Examples
next: ./features.md
---

We have created a few [examples](https://github.com/tw-in-js/twind/tree/main/examples) to get you started:

| Example                                                                       | Try it live at                                                                                                                                                                    | Description                                                                                           |
| ----------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------- |
| [Basic](https://github.com/tw-in-js/twind/tree/main/examples/basic)           | [Stackblitz](https://stackblitz.com/fork/github/tw-in-js/twind/tree/main/examples/basic) • [Codesandbox](https://githubbox.com/tw-in-js/twind/tree/main/examples/basic)           | using [@twind/preset-autoprefix](./preset-autoprefix) and [@twind/preset-tailwind](./preset-tailwind) |
| [Playground](https://github.com/tw-in-js/twind/tree/main/examples/playground) | [Stackblitz](https://stackblitz.com/fork/github/tw-in-js/twind/tree/main/examples/playground) • [Codesandbox](https://githubbox.com/tw-in-js/twind/tree/main/examples/playground) | using all [presets](./presets)                                                                        |

## Presets

| Example                                                                               | Try it live at                                                                                                                                                                                        | Description                                                                                                                                                       |
| ------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Tailwind Forms](https://github.com/tw-in-js/twind/tree/main/examples/tailwind-forms) | [Stackblitz](https://stackblitz.com/fork/github/tw-in-js/twind/tree/main/examples/using-tailwind-forms) • [Codesandbox](https://githubbox.com/tw-in-js/twind/tree/main/examples/using-tailwind-forms) | using [@twind/preset-autoprefix](./preset-autoprefix) and [@twind/preset-tailwind](./preset-tailwind) and [@twind/preset-tailwind-forms](./preset-tailwind-forms) |
| [Twind CDN](https://github.com/tw-in-js/twind/tree/main/examples/using-twind-cdn)     | [Stackblitz](https://stackblitz.com/fork/github/tw-in-js/twind/tree/main/examples/using-twind-cdn) • [Codesandbox](https://githubbox.com/tw-in-js/twind/tree/main/examples/using-twind-cdn)           | using [@twind/cdn](./installation#twind-cdn)                                                                                                                      |

## Integrations

| Example                                                                          | Try it live at                                                                                                                                                                            | Description                                                                                                                                                                               |
| -------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Gatsby](https://github.com/tw-in-js/twind/tree/main/examples/gatsby)            | ~~[Stackblitz](https://stackblitz.com/fork/github/tw-in-js/twind/tree/main/examples/with-gatsby)~~ • [Codesandbox](https://githubbox.com/tw-in-js/twind/tree/main/examples/with-gatsby)   | with [Gatsby](https://www.gatsbyjs.com) using [gatsby-plugin-twind](./with-gatsby), [@twind/preset-autoprefix](./preset-autoprefix) and [@twind/preset-tailwind](./preset-tailwind)       |
| [Next.js](https://github.com/tw-in-js/twind/tree/main/examples/with-next)        | [Stackblitz](https://stackblitz.com/fork/github/tw-in-js/twind/tree/main/examples/with-next) • [Codesandbox](https://githubbox.com/tw-in-js/twind/tree/main/examples/with-next)           | with [Next.js](https://nextjs.org) using [@twind/with-next](./with-next), [@twind/preset-autoprefix](./preset-autoprefix) and [@twind/preset-tailwind](./preset-tailwind)                 |
| [Remix](https://github.com/tw-in-js/twind/tree/main/examples/with-remix)         | [Stackblitz](https://stackblitz.com/fork/github/tw-in-js/twind/tree/main/examples/with-remix) • [Codesandbox](https://githubbox.com/tw-in-js/twind/tree/main/examples/with-remix)         | with [Remix](https://remix.run) using [@twind/with-remix](./with-remix), [@twind/preset-autoprefix](./preset-autoprefix) and [@twind/preset-tailwind](./preset-tailwind)                  |
| [SvelteKit](https://github.com/tw-in-js/twind/tree/main/examples/with-sveltekit) | [Stackblitz](https://stackblitz.com/fork/github/tw-in-js/twind/tree/main/examples/with-sveltekit) • [Codesandbox](https://githubbox.com/tw-in-js/twind/tree/main/examples/with-sveltekit) | with [SvelteKit](https://kit.svelte.dev) using [@twind/with-sveltekit](./with-sveltekit), [@twind/preset-autoprefix](./preset-autoprefix) and [@twind/preset-tailwind](./preset-tailwind) |
